Imports System.Collections.Generic

Partial Class Controls_HelpfulLinks
	Inherits System.Web.UI.UserControl

	Public Property TwoColumned() As Boolean
		Get
			If ViewState(Me.ID & "_TwoColumned") Is Nothing Then
				Return False
			Else
				Return CType(ViewState(Me.ID & "_TwoColumned"), Boolean)
			End If
		End Get

		Set(ByVal value As Boolean)
			ViewState(Me.ID & "_TwoColumned") = value
		End Set
	End Property

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Not IsPostBack Then
			pnlOneColumn.Visible = Not TwoColumned
			pnlTwoColumn.Visible = TwoColumned
		End If
	End Sub
End Class